Subject: Re: filtering of mailing lists and NATs

From: Keith Moore <[email-masked]>
Date: Wed, 23 May 2001 13:12:37 -0400

--------
(maybe the above will fool majordomo into not filtering this message?)

> On Wed, 23 May 2001, Keith Moore wrote:
>     
>     > Every IETF mailing list has a charter, a known purpose for its use.  It
>     > is entirely reasonable and legitimate to reject all submissions that are
>     > outside the scope of the charter.  If we can not agree on that point
>     > this whole discussion is pointless.
>     
>     I couldn't disagree with you more.
>     
>     It's one thing for a chair to point out that a topic is not within the
>     list's charter, and quite another thing for someone to arbitrarily filter
>     material that he/she doesn't think is within the list's charter.
> 
> So your point is simply that you want the decisions of what is in scope
> and what is not to be visible?  

that's only one aspect of filtering list traffic based on the From
address.  It's not the only issue of concern.

> In any case, you delegate the job to the Chair.  

no, even the Chair should not be filtering messages based on whether 
he/she thinks they are in scope, for reasons stated previously.
correcting people who post off-topic contributions is okay;
editing or censoring those contributions is not.  the only way to 
make those contributions (and the Chair's corrective action) 
sufficiently visible is to allow both to be posted to the list.

> I suspect you're equating list maintainer with the sysadmin who manages
> the technology.  In that case I largely agree with your assessment
> above.  However, more generally, we are talking about a moderator (not a
> censor).  In that case, the criteria used really does depend on the
> competence of the moderator, but I really don't see a big issue here.
> It seems to me we choose a moderator much the same way we choose a Chair
> of a working group.

no, I reject the entire concept of a moderator on an IETF list to do
anything other than filter obvious spam.  I don't care who is doing
the censoring - the chair, the AD, the list maintainer, or someone else.
It's inappropriate no matter who does it.

>     > Mail filtering is not in and of itself a bad thing.  It is a tool, a
>     > legitimate tool, that when used as part of a larger solution to the
>     > problem of maintaining the integrity of a mailing list is extremely
>     > valuable.
>     
>     I don't disagree with this statement as a generality.  But the way 
>     that you suggest that the tool be used would destroy the integrity
>     of the mailing list as a vehicle for open discussion rather than 
>     maintaining it.
> 
> I don't see how.  I'm suggesting that filtering can be used to automate
> some of the process of maintaining the integrity of a mailing list and
> open discussion.  I don't understand how you turned that around.

because a discussion in which some participants' input are censored
is not an open discussion.  it lacks integrity because it pretends
to be an open discussion when in reality it is subject to control
and/or censorship, and this has a chilling effect on the discussion
and on the result.

>     > Restricting the posting of messages to subscribers is not bad, it is an
>     > excellent choice for the first line defense against off-topic messages.
>     
>     Once again I empatically disagree.  Whether a posting comes from a
>     subscriber is completely orthogonal to whether the message is on topic.
> 
> I agree.  To complete my thinking I would add that most IETF lists are
> pretty good at being self-policing, as far as managing subscribers is
> concerned.  In that context, if a subscriber starts moving "outside
> scope" we deal with that pretty well.  Thus, it's not that subscribers
> are always on topic, it's that we know how to deal with subscribers who
> are off-topic.

and we should use the same mechanism for dealing with non-subscribers are
off-topic.  whether a contributor is a subscriber is irrelevant.

>     The issue here is whether it is appropriate at all.  Nobody has argued
>     that other solutions could not be considered.
> 
> As I asked above I will ask again here, is it that you are opposed to
> mail filtering as a tool or mail filtering behind closed doors?

mail filtering as a tool for bringing messages to the attention of a
moderator is okay, but that moderator's role should be limited to 
filtering obvious spam.

Keith

---

From: James M Galvin <[email-masked]>
Date: Wed, 23 May 2001 12:35:53 -0400 (EDT)

So your point is simply that you want the decisions of what is in scope
and what is not to be visible?  This is entirely reasonable, in my
opinion, since to do otherwise make us vulnerable to censorship.  I can
think of at least two ways to do this; there are probably others.

Is this the only reason that you reject mail filtering, i.e., you are
opposed to mail filtering behind closed doors?

In any case, you delegate the job to the Chair.  I don't see any reason
why a Chair could not delegate this job, nor any prohibition against it
for that matter, especially if the actions are visible.

    > Implementation is wholly separate from policy, and a primary concern for
    > the list maintainer.  A list maintainer needs to figure out how to
    > identify messages that are within scope and ideally would like to
    > automate that process.  I would assert they can do this without anyone's
    > approval or guidance.  
    
    I disagree that it is appropriate for a list maintainer (at least on an
    IETF list) to determine whether a message is in scope for the list, other 
    than on a *very* coarse level for eliminating obvious spam.   The chair 
    and/or the AD have the authority determine whether things are in scope;
    the list maintainer should only filter things on their explicit authority.
    And it's not appropriate to filter anybody's input at the source unless 
    they have repeatedly failed to follow the directions of the chair - 
    and this should be only as a last resort.

And now you're digging in to the next level of implementation, which is
both the competence of and the criteria used by the list maintainer (be
it the Chair or some other designee).

    

    

    > The issue is whether it is the only solution employed.

Jim